Bug 235216 - databases/sqldeveloper: update to 18.4.0.376.1900
Summary: databases/sqldeveloper: update to 18.4.0.376.1900
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-26 13:01 UTC by jjuanino
Modified: 2019-04-21 17:26 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (mizhka)


Attachments
update to 18.4.0.376.1900 (15.24 KB, patch)
2019-01-26 13:01 UTC, jjuanino
no flags Details | Diff
Update 18.1.0.095.1630 to 19.1.0.094.2042 (8.75 KB, patch)
2019-04-19 18:07 UTC, VVD
no flags Details | Diff
Added dependency from java/openjfx8-devel (9.03 KB, patch)
2019-04-19 19:16 UTC, VVD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2019-01-26 13:01:58 UTC
Created attachment 201413 [details]
update to 18.4.0.376.1900

Update databases/sqldeveloper from 18.1.0.095.1630 -> 18.4.0.376.1900
version:

* Add gnome to USES, as suggested by portlint.
* Simplify the find command that builds the stage dir.

Release notes:

https://www.oracle.com/technetwork/developer-tools/sql-developer/downloads/sqldev-relnotes-v184-5231669.html
Comment 1 commit-hook freebsd_committer 2019-04-19 14:26:33 UTC
A commit references this bug:

Author: swills
Date: Fri Apr 19 14:26:26 UTC 2019
New revision: 499359
URL: https://svnweb.freebsd.org/changeset/ports/499359

Log:
  databases/sqldeveloper: update to 18.4.0.376.1900

  PR:		235216
  Submitted by:	jjuanino@gmail.com
  Approved by:	maintainer timeout (mizhka@gmail.com, >11 weeks)

Changes:
  head/databases/sqldeveloper/Makefile
  head/databases/sqldeveloper/distinfo
  head/databases/sqldeveloper/pkg-message
  head/databases/sqldeveloper/pkg-plist
Comment 2 Steve Wills freebsd_committer 2019-04-19 14:28:01 UTC
Committed, thanks!
Comment 3 VVD 2019-04-19 17:30:46 UTC
19.1.0.094.2042 was released week ago…

Patches for Makefile and distinfo are trivial, but pkg-plist need more work.
Comment 4 VVD 2019-04-19 18:07:48 UTC
Created attachment 203805 [details]
Update 18.1.0.095.1630 to 19.1.0.094.2042

Tested on 12.0 amd64, openjdk8-8.202.8.

It have optional dependency from JavaFX. Will test it with java/openjfx8-devel.

P.S. https://www.oracle.com/technetwork/developer-tools/sql-developer/downloads/index.html
Comment 5 VVD 2019-04-19 19:16:22 UTC
Created attachment 203807 [details]
Added dependency from java/openjfx8-devel

Tested on openjdk8-8.212.4.1 and openjfx8-devel-8.u172.b11_7,1.